
#ifndef H_COMMON
#define H_COMMON

#include <sys/socket.h>

#ifdef __cplusplus
extern "C" {
#endif

// Debugging stuff

void ts_debug_i(int level, char *file, int line, char *fmt, ...);

#define ts_debug(level, fmt, args...) ts_debug_i(level, __FILE__, __LINE__, fmt, ##args)
#define ts_error(fmt, args...) ts_debug(-1, fmt, ##args)
#define ts_debug_1(fmt, args...) ts_debug(1, fmt, ##args)
#define ts_debug_2(fmt, args...) ts_debug(2, fmt, ##args)
#define ts_debug_3(fmt, args...) ts_debug(3, fmt, ##args)
#define ts_debug_4(fmt, args...) ts_debug(4, fmt, ##args)
#define ts_fatal(fmt, args...) (ts_error(fmt, ##args), exit(-1))

// SOL_TESLA is the pseudo-level applications can use to talk to TESLA
// via setsockopt

#define SOL_TESLA 817
#define SO_HELLO  1

#ifdef __cplusplus
};
#endif

#endif
